<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<!-- <div *ngIf="prop.description" class="flex flex-col mt-4">
  <div class="text-text-300">description:</div>
  <div
    #desc
    class="text-text-500"
    [class]="{
      truncate: hideOverflownDescription && hideDesc,
      'w-[200px]': hideOverflownDescription && hideDesc,
      'w-[600px]': !hideOverflownDescription || !hideDesc
    }"
  >
    {{ prop.description }}
  </div>
  <div
    *ngIf="
      hideOverflownDescription && ((isEllipsisActive(desc) && hideDesc) || (!isEllipsisActive(desc) && !hideDesc))
    "
    (click)="toggleInfo()"
    class="text-primary-500 text-sm hover:underline cursor-pointer mt-0.5 font-semibold"
  >
    {{ hideDesc ? 'Show more...' : 'Hide' }}
  </div>
</div> -->

<div class="flex items-center">
  <div #desc class="w-[400px] text-text-300 py-8" [ngClass]="{ truncate: !showMore }">{{ item.description }}</div>
  <div class="w-2">
    <p-button
      *ngIf="showMore || isEllipsisActive(desc)"
      [link]="true"
      [icon]="showMore ? 'pi pi-chevron-up' : 'pi pi-chevron-down'"
      size="small"
      severity="secondary"
      (onClick)="showMore = !showMore"
    ></p-button>
  </div>
</div>
